package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors (chain = true)
@ApiModel(value="WorkProjectChange", description="项目更改类")
public class WorkProjectChange implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(name = "projectId;",value = "项目编号")
    private Integer projectId;

    @ApiModelProperty(name = "changeType",value = "1：成本预算变更，2：工时预算变更")
    private Integer changeType;

    @ApiModelProperty(name = "modifyAfter",value = "修改后的预算")
    private String modifyAfter;

    @ApiModelProperty(name = "modifyBefore",value = "修改前的预算")
    private String modifyBefore;

    @ApiModelProperty(name = "reason",value = "变更原因")
    private String reason;

    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "modify_time",value = "变更日期")
    private Date modifyTime;

    @ApiModelProperty(name = "reviserId",value = "更变人id")
    private Integer reviserId;

    @ApiModelProperty(name = "operationType",value = "1:新增 2:修改 3:结项")
    private Integer operationType;


    /** 附加字段 更变项名  变更人姓名*/
    @TableField(exist = false)
    private String changeTypeName;
    @TableField(exist = false)
    private String reviserName;
    @TableField(exist = false)
    private String operationTypeName;

}
